org.mariadb.jdbc.internal.util

## Class PidFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.util.PidFactory

    public class PidFactory
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `PidFactory.PidRequestInter`

### Constructor Summary

Constructors
Constructor and Description
`PidFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PidFactory.PidRequestInter` `getInstance()` Factory method to avoid loading JNA classes every connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PidFactory

    public PidFactory()

### Method Detail

#### getInstance

    public static PidFactory.PidRequestInter getInstance()

Factory method to avoid loading JNA classes every connection.

Returns:
  factory that implement PID according to environment.